package com.nova.brain.glass;

import com.xuqm.base.App;
import com.xuqm.base.di.component.AppComponent;
import com.xuqm.base.di.manager.HttpManager;
import com.nova.brain.glass.common.CrashHandler;
import com.nova.brain.glass.repository.HeaderInterceptor;

/**
 * @author xuqm
 */
public class MyApplication extends App {

    public static String baseUrl = "http://10.10.203.120:31734";

    @Override
    public void onCreate() {
        super.onCreate();
        appComponent = HttpManager.getAppComponent(baseUrl, new HeaderInterceptor(getApplicationContext()));

        CrashHandler.getInstance().init(this);
        
    }

    @Override
    public boolean showLog() {
        return super.showLog();
    }
}
